using SecureShopContracts.BindingModels;
using SecureShopContracts.SearchModels;
using SecureShopContracts.ViewModels;

namespace SecureShopContracts.StoragesContracts
{
    public interface ISecureStorage
    {
        List<SecureViewModel> GetFullList();
        List<SecureViewModel> GetFilteredList(SecureSearchModel model);
        SecureViewModel? GetElement(SecureSearchModel model);
        SecureViewModel? Insert(SecureBindingModel model);
        SecureViewModel? Update(SecureBindingModel model);
        SecureViewModel? Delete(SecureBindingModel model);
    }
}